Bug 441057 - dbus has been temporarily disabled completely
dbus has been temporarily disabled completely
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-05 12:38 EDT by Axel Thimm
Modified: 2013-04-30 19:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:12:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Axel Thimm 2008-04-05 12:38:29 EDT
Description of problem:
Due to bug #339191 and bug #336601 dbus support in bind was completely disabled:
* Tue Oct 30 2007 Adam Tkac <atkac redhat com> 32:9.5.0-16.3.a6
- completely disable DBUS

* Wed Oct 24 2007 Adam Tkac <atkac redhat com> 32:9.5.0-16.a6
- disabled DBUS (dhcdbd doesn't exist & #339191)

W/o dbus there is no way for networkmanager to pass down parameter like
forwarding nameservers acquired from DHCP to bind.

Version-Release number of selected component (if applicable):
bind-9.5.0-29.b2.fc9
Comment 1 Adam Tkac 2008-04-07 03:49:13 EDT
Main problem is not bugs #339191 and #336601 (both are fixed in RHEL-5 so I can
use same patch in Fedora) but that dhcdbd doesn't exist. Without that component
old dbus machinery cannot work
(https://www.redhat.com/archives/fedora-devel-list/2007-December/msg00146.html).
I think we will not have this capability in F9 but I'm going to try add it to F10.
Comment 2 Axel Thimm 2008-04-08 12:36:30 EDT
(In reply to comment #1)
> I think we will not have this capability in F9 but I'm going to try add it to F10.

Is there some workaround to having nm's dhclient pass these parameters on to
some forwarders' script? For example could nm's dhclient call some hook script
like the standard dhclient does?
Comment 3 Adam Tkac 2008-04-10 09:26:39 EDT
Hm, it theory you can use /etc/dhclient-exit-hooks script. In this script you
have to write nameservers from /etc/resolv.conf to /etc/named.conf as forwarders
and then restart named.
Comment 4 Axel Thimm 2008-04-10 14:28:36 EDT
(In reply to comment #3)
> Hm, it theory you can use /etc/dhclient-exit-hooks script. In this script you
> have to write nameservers from /etc/resolv.conf to /etc/named.conf as forwarders
> and then restart named.

The fact that /etc/dhclient-*-hooks were not being used any more brought me to
nm swapping out the dhclient scripts with its own
/usr/libexec/nm-dhcp-client.action *binary* which does not care about any
/etc/dhclient-*-hooks any more :(
Comment 5 Adam Tkac 2008-04-14 06:05:52 EDT
Dan, is it true that NM doesn't care about /etc/dhclient-*-hooks? (especially
/etc/dhclient-exit-hooks script in this case, /sbin/dhclient-script calls it)
Comment 6 Dan Williams 2008-04-14 10:31:35 EDT
NM spawns dhclient with it's own dhclient-script that forwards the DHCP
information back to NetworkManager.  So yeah, no dhclient hooks.

The intended solution is that when you notice network events (either using DBUS
or NetworkManagerDispatcher) you pull the received DHCP information from NM and
then do what you want with it.
Comment 7 Bug Zapper 2008-05-14 04:56:55 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-06-09 20:00:38 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Adam Tkac 2009-06-10 06:17:50 EDT
Moving to rawhide, this is important issue.
Comment 10 Bug Zapper 2009-11-16 03:03:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-11-04 07:57:45 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-12-05 02:12:03 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.